Bug 986636 - SELinux is preventing /usr/lib/systemd/systemd-sysctl from 'sendto' accesses on the unix_dgram_socket /run/systemd/journal/socket.
SELinux is preventing /usr/lib/systemd/systemd-sysctl from 'sendto' accesses ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:cedcfa5984c8d743d62eac48029...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-21 03:50 EDT by Frank Murphy
Modified: 2015-06-29 21:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 21:31:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Frank Murphy 2013-07-21 03:50:56 EDT
Description of problem:
Noticed increaased times to complete command, other commands just timed out.

~$ systemctl status systemd.service
Failed to issue method call: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.
SELinux is preventing /usr/lib/systemd/systemd-sysctl from 'sendto' accesses on the unix_dgram_socket /run/systemd/journal/socket.

*****  Plugin catchall (100. confidence) suggests  ***************************

If you believe that systemd-sysctl should be allowed sendto access on the socket unix_dgram_socket by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep systemd-sysctl /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:systemd_sysctl_t:s0
Target Context                system_u:system_r:syslogd_t:s0
Target Objects                /run/systemd/journal/socket [ unix_dgram_socket ]
Source                        systemd-sysctl
Source Path                   /usr/lib/systemd/systemd-sysctl
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           systemd-205-1.fc20.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-65.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.0-0.rc1.git3.1.fc20.x86_64 #1
                              SMP Fri Jul 19 21:00:55 UTC 2013 x86_64 x86_64
Alert Count                   4
First Seen                    2013-07-20 11:15:31 IST
Last Seen                     2013-07-20 11:45:06 IST
Local ID                      e9e5f290-a428-4911-99aa-2cf88d491e9d

Raw Audit Messages
type=AVC msg=audit(1374315331.430:432): avc:  denied  { sendto } for  pid=1264 comm="systemd-sysctl" path="/run/systemd/journal/socket" scontext=system_u:system_r:systemd_sysctl_t:s0 tcontext=system_u:system_r:syslogd_t:s0 tclass=unix_dgram_socket


type=SYSCALL msg=audit(1374315331.430:432): arch=x86_64 syscall=connect success=no exit=EACCES a0=3 a1=7fff1c7697d0 a2=1d a3=7fff1c769788 items=0 ppid=623 pid=1264 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=systemd-sysctl exe=/usr/lib/systemd/systemd-sysctl subj=system_u:system_r:systemd_sysctl_t:s0 key=(null)

Hash: systemd-sysctl,systemd_sysctl_t,syslogd_t,unix_dgram_socket,sendto

Additional info:
reporter:       libreport-2.1.5
hashmarkername: setroubleshoot
kernel:         3.11.0-0.rc1.git3.1.fc20.x86_64
type:           libreport
Comment 1 Miroslav Grepl 2013-07-22 06:07:50 EDT
commit 5f3b89e7a681fc3966ce28790e88924d39d64a1c
Author: Miroslav Grepl <mgrepl@redhat.com>
Date:   Mon Jul 22 12:07:32 2013 +0200

    Allow systemd-sysctl to send system log messages
Comment 2 Fedora End Of Life 2013-09-16 13:02:06 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 20 development cycle.
Changing version to '20'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora20
Comment 3 Fedora Update System 2013-09-25 16:39:14 EDT
selinux-policy-3.12.1-83.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-83.fc20
Comment 4 Fedora Update System 2013-09-26 20:42:50 EDT
Package selinux-policy-3.12.1-83.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-83.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17722/selinux-policy-3.12.1-83.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-10-02 02:42:44 EDT
Package selinux-policy-3.12.1-84.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-84.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-17722/selinux-policy-3.12.1-84.fc20
then log in and leave karma (feedback).
Comment 6 Fedora End Of Life 2015-05-29 05:12:12 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2015-06-29 21:31:56 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.